Web Apps - Create Or Update Hybrid Connection

Description for Creates a new Hybrid Connection using a Service Bus relay.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/hybridConnectionNamespaces/{namespaceName}/relays/{relayName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
name
path True

string

The name of the web app.

namespaceName
path True

string

The namespace for this hybrid connection.

relayName
path True

string

The relay name for this hybrid connection.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
kind

string

Kind of resource.

properties.hostname

string

The hostname of the endpoint.

properties.port

integer (int32)

The port of the endpoint.

properties.relayArmUri

string

The ARM URI to the Service Bus relay.

properties.relayName

string

The name of the Service Bus relay.

properties.sendKeyName

string

The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.

properties.sendKeyValue

string

The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.

properties.serviceBusNamespace

string

The name of the Service Bus namespace.

properties.serviceBusSuffix

string

The suffix for the service bus endpoint. By default this is .servicebus.windows.net

Responses

Name Type Description
200 OK

HybridConnection

Resource 'HybridConnection' update operation succeeded

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

HybridConnection

Hybrid Connection contract. This is used to configure a Hybrid Connection.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

HybridConnection

Hybrid Connection contract. This is used to configure a Hybrid Connection.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.hostname

string

The hostname of the endpoint.

properties.port

integer (int32)

The port of the endpoint.

properties.relayArmUri

string

The ARM URI to the Service Bus relay.

properties.relayName

string

The name of the Service Bus relay.

properties.sendKeyName

string

The name of the Service Bus key which has Send permissions. This is used to authenticate to Service Bus.

properties.sendKeyValue

string

The value of the Service Bus key. This is used to authenticate to Service Bus. In ARM this key will not be returned normally, use the POST /listKeys API instead.

properties.serviceBusNamespace

string

The name of the Service Bus namespace.

properties.serviceBusSuffix

string

The suffix for the service bus endpoint. By default this is .servicebus.windows.net

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.